Bug 238704 - ftp/R-cran-curl: fix build on big-endian architectures
Summary: ftp/R-cran-curl: fix build on big-endian architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: TAKATSU Tomonari
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-19 11:39 UTC by Piotr Kubaj
Modified: 2019-06-24 07:25 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (tota)


Attachments
patch (1.17 KB, patch)
2019-06-19 11:39 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (tota)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-06-19 11:39:34 UTC
Created attachment 205218 [details]
patch

BSWAP_32 is undefined on FreeBSD, use bswap32.

It also needs sys/endian.h include.

Needed because of:
  /wrkdirs/usr/ports/ftp/R-cran-curl/work/stage/usr/local/lib/R/library/00LOCK-curl/00new/curl/libs/curl.so: Undefined symbol "BSWAP_32"
Comment 1 TAKATSU Tomonari freebsd_committer 2019-06-23 11:30:11 UTC
(In reply to Piotr Kubaj from comment #0)

LGTM
Comment 2 commit-hook freebsd_committer 2019-06-24 07:24:31 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Jun 24 07:24:28 UTC 2019
New revision: 505010
URL: https://svnweb.freebsd.org/changeset/ports/505010

Log:
  ftp/R-cran-curl: fix build on big-endian architectures

  BSWAP_32 is undefined on FreeBSD, use bswap32.

  It also needs sys/endian.h include.

  Needed because of:

    /wrkdirs/usr/ports/ftp/R-cran-curl/work/stage/usr/local/lib/R/library/00LOCK-curl/00new/curl/libs/curl.so: Undefined symbol "BSWAP_32"

  PR:		238704
  Approved by:	tota (maintainer), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D20726

Changes:
  head/ftp/R-cran-curl/files/
  head/ftp/R-cran-curl/files/patch-src_curl.c